Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | List of all members
CSEditableContactPhoneFieldList Class Reference

List of editable contact phone numbers. More...

`#import <CSEditableContactPhoneFieldList.h>`

Inherits CSContactPhoneFieldList.

## Instance Methods
(void) | - setValues:
| Replaces all phone number fields with given values if write capability is allowed. More...
(void) | - addItem:
| Add an phone number to the list if write capability is allowed. More...
(void) | - removeItem:
| Remove an phone number from the list if write capability is allowed. More...

## Additional Inherited Members
Properties inherited from CSContactMultiValueField
NSArray * | values
| Return NSArray of field values. More...
BOOL | isEmpty
| Returns YES if field is empty. More...
NSUInteger | size
| Returns size of values field. More...
Properties inherited from CSContactField
CSCapability * | writeCapability
| Write capability for particular field. More...
CSProviderSourceType | source
| Provider source type for particular field. More...

## Detailed Description

List of editable contact phone numbers.

## Method Documentation

- (void) addItem: |  | (CSEditableContactPhoneField *) | phoneNumber |

Add an phone number to the list if write capability is allowed.

Otherwise no action.

Parameters

  phoneNumber | an object of type CSEditableContactPhoneField values to add.

- (void) removeItem: |  | (CSEditableContactPhoneField *) | phoneNumber |

Remove an phone number from the list if write capability is allowed.

Otherwise no action.

Parameters

  phoneNumber | an object of type CSEditableContactPhoneField values to add.

- (void) setValues: |  | (NSArray *) | phoneNumbers |

Replaces all phone number fields with given values if write capability is allowed.

Otherwise no action.

Parameters

  phoneNumbers | array of CSEditableContactPhoneField values to set.

The documentation for this class was generated from the following file:

- CSEditableContactPhoneFieldList.h